/*
 *
 *    OPEN-XCHANGE legal information
 *
 *    All intellectual property rights in the Software are protected by
 *    international copyright laws.
 *
 *
 *    In some countries OX, OX Open-Xchange, open xchange and OXtender
 *    as well as the corresponding Logos OX Open-Xchange and OX are registered
 *    trademarks of the OX Software GmbH group of companies.
 *    The use of the Logos is not covered by the GNU General Public License.
 *    Instead, you are allowed to use these Logos according to the terms and
 *    conditions of the Creative Commons License, Version 2.5, Attribution,
 *    Non-commercial, ShareAlike, and the interpretation of the term
 *    Non-commercial applicable to the aforementioned license is published
 *    on the web site http://www.open-xchange.com/EN/legal/index.html.
 *
 *    Please make sure that third-party modules and libraries are used
 *    according to their respective licenses.
 *
 *    Any modifications to this package must retain all copyright notices
 *    of the original copyright holder(s) for the original code used.
 *
 *    After any such modifications, the original and derivative code shall remain
 *    under the copyright of the copyright holder(s) and/or original author(s)per
 *    the Attribution and Assignment Agreement that can be located at
 *    http://www.open-xchange.com/EN/developer/. The contributing author shall be
 *    given Attribution for the derivative code and a license granting use.
 *
 *     Copyright (C) 2016-2020 OX Software GmbH
 *     Mail: info@open-xchange.com
 *
 *
 *     This program is free software; you can redistribute it and/or modify it
 *     under the terms of the GNU General Public License, Version 2 as published
 *     by the Free Software Foundation.
 *
 *     This program is distributed in the hope that it will be useful, but
 *     WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 *     or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License
 *     for more details.
 *
 *     You should have received a copy of the GNU General Public License along
 *     with this program; if not, write to the Free Software Foundation, Inc., 59
 *     Temple Place, Suite 330, Boston, MA 02111-1307 USA
 *
 */

package com.openexchange.admin.soap.user.soap;

import javax.xml.bind.annotation.XmlRegistry;


/**
 * This object contains factory methods for each
 * Java content interface and Java element interface
 * generated in the com.openexchange.admin.soap.user.soap package.
 * <p>An ObjectFactory allows you to programatically
 * construct new instances of the Java representation
 * for XML content. The Java representation of XML
 * content can consist of schema derived interfaces
 * and classes representing the binding of schema
 * type definitions, element declarations and model
 * groups.  Factory methods for each of these are
 * provided in this class.
 *
 */
@XmlRegistry
public class ObjectFactory {


    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: com.openexchange.admin.soap.user.soap
     *
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link InvalidDataException }
     *
     */
    public InvalidDataException createInvalidDataException() {
        return new InvalidDataException();
    }

    /**
     * Create an instance of {@link ChangeByModuleAccessName }
     *
     */
    public ChangeByModuleAccessName createChangeByModuleAccessName() {
        return new ChangeByModuleAccessName();
    }

    /**
     * Create an instance of {@link Change }
     *
     */
    public Change createChange() {
        return new Change();
    }

    /**
     * Create an instance of {@link NoSuchContextException }
     *
     */
    public NoSuchContextException createNoSuchContextException() {
        return new NoSuchContextException();
    }

    /**
     * Create an instance of {@link ExistsResponse }
     *
     */
    public ExistsResponse createExistsResponse() {
        return new ExistsResponse();
    }

    /**
     * Create an instance of {@link ListAll }
     *
     */
    public ListAll createListAll() {
        return new ListAll();
    }

    /**
     * Create an instance of {@link GetMultipleData }
     *
     */
    public GetMultipleData createGetMultipleData() {
        return new GetMultipleData();
    }

    /**
     * Create an instance of {@link GetModuleAccess }
     *
     */
    public GetModuleAccess createGetModuleAccess() {
        return new GetModuleAccess();
    }

    /**
     * Create an instance of {@link StorageException }
     *
     */
    public StorageException createStorageException() {
        return new StorageException();
    }

    /**
     * Create an instance of {@link GetAccessCombinationName }
     *
     */
    public GetAccessCombinationName createGetAccessCombinationName() {
        return new GetAccessCombinationName();
    }

    /**
     * Create an instance of {@link NoSuchUserException }
     *
     */
    public NoSuchUserException createNoSuchUserException() {
        return new NoSuchUserException();
    }

    /**
     * Create an instance of {@link ListCaseInsensitive }
     *
     */
    public ListCaseInsensitive createListCaseInsensitive() {
        return new ListCaseInsensitive();
    }

    /**
     * Create an instance of {@link GetContextAdminResponse }
     *
     */
    public GetContextAdminResponse createGetContextAdminResponse() {
        return new GetContextAdminResponse();
    }

    /**
     * Create an instance of {@link CreateResponse }
     *
     */
    public CreateResponse createCreateResponse() {
        return new CreateResponse();
    }

    /**
     * Create an instance of {@link Delete }
     *
     */
    public Delete createDelete() {
        return new Delete();
    }

    /**
     * Create an instance of {@link CreateByModuleAccess }
     *
     */
    public CreateByModuleAccess createCreateByModuleAccess() {
        return new CreateByModuleAccess();
    }

    /**
     * Create an instance of {@link CreateByModuleAccessNameResponse }
     *
     */
    public CreateByModuleAccessNameResponse createCreateByModuleAccessNameResponse() {
        return new CreateByModuleAccessNameResponse();
    }

    /**
     * Create an instance of {@link RemoteException }
     *
     */
    public RemoteException createRemoteException() {
        return new RemoteException();
    }

    /**
     * Create an instance of {@link CreateByModuleAccessName }
     *
     */
    public CreateByModuleAccessName createCreateByModuleAccessName() {
        return new CreateByModuleAccessName();
    }

    /**
     * Create an instance of {@link GetMultipleDataResponse }
     *
     */
    public GetMultipleDataResponse createGetMultipleDataResponse() {
        return new GetMultipleDataResponse();
    }

    /**
     * Create an instance of {@link List }
     *
     */
    public List createList() {
        return new List();
    }

    /**
     * Create an instance of {@link Create }
     *
     */
    public Create createCreate() {
        return new Create();
    }

    /**
     * Create an instance of {@link DeleteMultiple }
     *
     */
    public DeleteMultiple createDeleteMultiple() {
        return new DeleteMultiple();
    }

    /**
     * Create an instance of {@link ListAllResponse }
     *
     */
    public ListAllResponse createListAllResponse() {
        return new ListAllResponse();
    }

    /**
     * Create an instance of {@link ChangeByModuleAccess }
     *
     */
    public ChangeByModuleAccess createChangeByModuleAccess() {
        return new ChangeByModuleAccess();
    }

    /**
     * Create an instance of {@link DuplicateExtensionException }
     *
     */
    public DuplicateExtensionException createDuplicateExtensionException() {
        return new DuplicateExtensionException();
    }

    /**
     * Create an instance of {@link GetAccessCombinationNameResponse }
     *
     */
    public GetAccessCombinationNameResponse createGetAccessCombinationNameResponse() {
        return new GetAccessCombinationNameResponse();
    }

    /**
     * Create an instance of {@link ChangeModuleAccessGlobal }
     *
     */
    public ChangeModuleAccessGlobal createChangeModuleAccessGlobal() {
        return new ChangeModuleAccessGlobal();
    }

    /**
     * Create an instance of {@link InvalidCredentialsException }
     *
     */
    public InvalidCredentialsException createInvalidCredentialsException() {
        return new InvalidCredentialsException();
    }

    /**
     * Create an instance of {@link GetData }
     *
     */
    public GetData createGetData() {
        return new GetData();
    }

    /**
     * Create an instance of {@link GetUserCapabilities }
     *
     */
    public GetUserCapabilities createGetUserCapabilities() {
        return new GetUserCapabilities();
    }

    /**
     * Create an instance of {@link GetContextAdmin }
     *
     */
    public GetContextAdmin createGetContextAdmin() {
        return new GetContextAdmin();
    }

    /**
     * Create an instance of {@link ListCaseInsensitiveResponse }
     *
     */
    public ListCaseInsensitiveResponse createListCaseInsensitiveResponse() {
        return new ListCaseInsensitiveResponse();
    }

    /**
     * Create an instance of {@link ListByAliasDomainResponse }
     *
     */
    public ListByAliasDomainResponse createListByAliasDomainResponse() {
        return new ListByAliasDomainResponse();
    }

    /**
     * Create an instance of {@link ListByAliasDomain }
     *
     */
    public ListByAliasDomain createListByAliasDomain() {
        return new ListByAliasDomain();
    }

    /**
     * Create an instance of {@link Exists }
     *
     */
    public Exists createExists() {
        return new Exists();
    }

    /**
     * Create an instance of {@link ListResponse }
     *
     */
    public ListResponse createListResponse() {
        return new ListResponse();
    }

    /**
     * Create an instance of {@link GetModuleAccessResponse }
     *
     */
    public GetModuleAccessResponse createGetModuleAccessResponse() {
        return new GetModuleAccessResponse();
    }

    /**
     * Create an instance of {@link CreateByModuleAccessResponse }
     *
     */
    public CreateByModuleAccessResponse createCreateByModuleAccessResponse() {
        return new CreateByModuleAccessResponse();
    }

    /**
     * Create an instance of {@link DatabaseUpdateException }
     *
     */
    public DatabaseUpdateException createDatabaseUpdateException() {
        return new DatabaseUpdateException();
    }

    /**
     * Create an instance of {@link GetDataResponse }
     *
     */
    public GetDataResponse createGetDataResponse() {
        return new GetDataResponse();
    }

    /**
     * Create an instance of {@link Exception }
     *
     */
    public Exception createException() {
        return new Exception();
    }

}
